2009-03-21 Xan Lopez <xlopez@igalia.com>
authorxan@webkit.org <xan@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 23 Mar 2009 12:43:09 +0000 (12:43 +0000)
committerxan@webkit.org <xan@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 23 Mar 2009 12:43:09 +0000 (12:43 +0000)
        Reviewed by Holger Freyther.

        Require gnome-keyring 2.26.0, since we were depending on an
        unreleased trunk revision between 2.25.91 and 2.26.0.

        * configure.ac:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@41906 268f45cc-cd09-0410-ab3c-d52691b4dbfc

ChangeLog
configure.ac

index 562ff4c..b49cea0 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2009-03-21  Xan Lopez  <xlopez@igalia.com>
+
+        Reviewed by Holger Freyther.
+
+        Require gnome-keyring 2.26.0, since we were depending on an
+        unreleased trunk revision between 2.25.91 and 2.26.0.
+
+        * configure.ac:
+
 2009-03-20  Jan Michael Alonzo  <jmalonzo@gmail.com>
 
         Reviewed by Holger Freyther.
index 2535c31..ad13dea 100644 (file)
@@ -190,6 +190,7 @@ LIBSOUP_REQUIRED_VERSION=2.25.91
 LIBXSLT_REQUIRED_VERSION=1.1.7
 SQLITE_REQUIRED_VERSION=3.0
 GSTREAMER_REQUIRED_VERSION=0.10
+GNOME_KEYRING_REQUIRED_VERSION=2.26.0
 
 # Available modules
 #
@@ -529,7 +530,7 @@ AC_SUBST([LIBSOUP_LIBS])
 
 if test "$enable_gnomekeyring" = "yes"; then
    PKG_CHECK_MODULES([GNOMEKEYRING],
-                     [gnome-keyring-1])
+                     [gnome-keyring-1 >= $GNOME_KEYRING_REQUIRED_VERSION])
    AC_SUBST([GNOMEKEYRING_CFLAGS])
    AC_SUBST([GNOMEKEYRING_LIBS])
 fi